package com.prolog.upcloud.base.wh.operate.service;

import com.prolog.entity.vo.*;
import com.prolog.upcloud.base.wh.operate.model.EisLog;

import java.util.List;

public interface MqOperateProducer {
    void outBoundRequest(List<OutBoundRequestVO> list);

    void operationComplete(List<OperationCompleteVO> list);

    void outboundTaskCallback(OutboundTaskCallbackVO vo);

    void completeTask(List<CompleteTaskVO> list);

    void gspTaskCallback(OutboundTaskCallbackVO vo);

    void containerTailgatingFeedback(ContainerTailgatingFeedbackVO vo);

    void orderBindingGridFeedback(OrderBindingGridFeedbackVO vo);

    void outboundCheckResultCallback(OutboundCheckResultCallbackVO vo);

    void applyForDocumentPrinting(ApplyForDocumentPrintingVO vo);

    void applyForContainerReturnChange(ApplyForContainerReturnChangeVO vo);

    void applyForPickSlide(ApplyForPickSlideVO vo);

    void inventoryAudit(List<InventoryAuditVO> list);

    void saveEisLog(EisLog eisLog);

    void inventoryLock(List<InventoryLockVO> list);
}
